=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

build clean install binary-arch binary-indep binary:
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	test -e debian/xburst_stage1.bin || { \
		echo >&2 see debian/README.source; \
		exit 1; \
	}
	dh_auto_clean
	sh debian/clean.sh

override_dh_auto_configure: configure
	dh_auto_configure -- $(opt_optimize) $(opt_quiet) \
		--disable-firmware  LDFLAGS=-Wl,-z,defs

override_dh_auto_install:
	dh_auto_install
	: install firmware from source package
	dh_install debian/xburst_stage1.bin usr/share/xburst-tools/
	dh_install debian/xburst_stage2.bin usr/share/xburst-tools/
	dh_install debian/stage1.bin usr/share/xburst-tools/

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

opt_optimize = CFLAGS="-g -O2"
opt_no_act =
opt_quiet =

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    opt_optimize = CFLAGS="-g -O0"
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter quiet,$(DEB_BUILD_OPTIONS)))
    opt_quiet = --quiet
    MAKEFLAGS += --quiet
endif

configure: configure.ac
	AUTOMAKE="automake --foreign" autoreconf -is

firmware: configure
	./configure --enable-firmware
	$(MAKE) -C usbboot/src \
		../xburst_stage1/xburst_stage1.bin \
		../xburst_stage2/xburst_stage2.bin
	$(MAKE) -C xbboot/host-app \
		../target-stage1/stage1.bin

VERSION = 201007
debiandir_SQ = $(subst ','\'',$(dir $(lastword $(MAKEFILE_LIST))))
get-orig-source:
	VERSION='$(VERSION)' sh '$(debiandir_SQ)'get-orig-source.sh
