=== debian/changelog ===
xburst-tools (201206-1build1) yakkety; urgency=medium

  * No-change rebuild against libconfuse1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Jul 2016 00:10:13 +0000

xburst-tools (201206-1) unstable; urgency=low

  * Fix BIG-ENDIAN system error, taken from commit bf5b9f6

 -- Xiangfu Liu <xiangfu@sharism.cc>  Thu, 21 Jun 2012 18:33:04 +0800

xburst-tools (201105-1) unstable; urgency=low

  * Add new tool name `jzboot`, taken from commit 1d7a2f3
  * Add new command `reset` to usbboot

 -- Xiangfu Liu <xiangfu@sharism.cc>  Thu, 03 Mar 2011 14:43:59 +0800

xburst-tools (201012-1) unstable; urgency=low

  * Fix the nerase always erase good blocks, taken from commit fedb6d8

 -- Xiangfu Liu <xiangfu@sharism.cc>  Fri, 24 Dec 2010 13:24:30 +0800
